Package org.opencv.img_hash

## Class RadialVarianceHash

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.img_hash.ImgHashBase
    - - org.opencv.img_hash.RadialVarianceHash

-     public class RadialVarianceHash
      extends ImgHashBase

  Image hash based on Radon transform. See CITE: tang2012perceptual for details.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `RadialVarianceHash​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RadialVarianceHash` | `__fromPtr__​(long addr)` |
    `static RadialVarianceHash` | `create()` |
    `static RadialVarianceHash` | `create​(double sigma)` |
    `static RadialVarianceHash` | `create​(double sigma, int numOfAngleLine)` |
    `protected void` | `finalize()` |
    `int` | `getNumOfAngleLine()` |
    `double` | `getSigma()` |
    `void` | `setNumOfAngleLine​(int value)` |
    `void` | `setSigma​(double value)` |

    - ### Methods inherited from class org.opencv.img_hash.ImgHashBase

      `compare, compute`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RadialVarianceHash

          protected RadialVarianceHash​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static RadialVarianceHash __fromPtr__​(long addr)

    - #### create

          public static RadialVarianceHash create​(double sigma,
                                                  int numOfAngleLine)

    - #### create

          public static RadialVarianceHash create​(double sigma)

    - #### create

          public static RadialVarianceHash create()

    - #### getSigma

          public double getSigma()

    - #### getNumOfAngleLine

          public int getNumOfAngleLine()

    - #### setNumOfAngleLine

          public void setNumOfAngleLine​(int value)

    - #### setSigma

          public void setSigma​(double value)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `ImgHashBase`
      Throws:
        `java.lang.Throwable`